<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use App\Models\Users\AccountsModel;
use App\Models\Users\Botmessage;
use App\Models\Users\Botmessageoption;
use App\Models\Users\Botvisitorhistory;
use App\Models\Users\Contacts;
use App\Models\WhatsappBotApi;
use Illuminate\Http\Request;

class Botinfo extends Model
{
    protected $table = 'bot_info';
    use HasFactory;

    //public const SESSION_HOUR = 24;

    public static function getBotInfo($account_id, $text_message)
    {
        $data = Botinfo::where('account_id', $account_id)
            //  ->where('status', 1)
            ->get()->first();
        return $data;
    }
}
